<template>
  <div class="container">
    <div class="row nav">
      <div class="col-12 col-md-4">
        <router-link class="boton" :to="{ name: 'InicioPaises' }">
          Regresar
        </router-link>
      </div>
      <div class="col-12 col-md-4">
        <router-link class="boton" :to="{ name: 'ActualizarPaises', params: { id: id } }">
          Actualizar
        </router-link>
      </div>
      <div class="col-12 col-md-4">
        <button class="boton" @click="deleteData">Eliminar</button>
      </div>
    </div>
    <div
        class="row detalles justify-content-center align-content-center align-content-center"
        v-if="!notFound"
    >
      <div class="col-12 col-md-6">
        <h1>{{ pais.nombre }}</h1>
        <h3>ID: {{ pais.id }}</h3>
        <h3>Continente: {{ pais.continente }}</h3>
        <h3>Capital: {{ pais.capital }}</h3>
        <h3>Latitud: {{ pais.latitud }}</h3>
        <h3>Longitud: {{ pais.longitud }}</h3>
      </div>
    </div>
    <div v-else>
      <h1>El país no existe en la base de datos</h1>
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  name: "MostrarPaises.vue",
  data() {
    return {
      pais: {},
      id: this.$route.params.id,
      notFound: false
    }
  },
  mounted() {
    this.getData();
  },
  methods: {
    getData: function () {
      axios.get("http://laboratorio10.test/api/countries/" + this.id)
          .then(response => response.data)
          .then(data => {
            console.log(data);
            this.pais = data;
          })
          .catch(error => {
            console.log(error);
            this.notFound = true;
          });
    },
    deleteData: function () {
      axios.delete("http://laboratorio10.test/api/countries/" + this.id)
          .then(response => {
            if(response.status === 200) {
              this.$router.push({ name: "InicioPaises" });
            }
          })
    }
  }
}
</script>

<style scoped lang="scss">

</style>